import * as Phaser from "phaser";
// import ButtonSprite from "../objects/button-sprite";
import GameButton from "../objects/button";

class MainMenuScene extends Phaser.Scene {
  preload() {
    // this.load.image('button-bg', 'assets/panel-000.png');
    this.load.spritesheet('button-bg', 'assets/panel-000.png', { frameWidth: 16, frameHeight: 16 });
  }

  create() {
    const button = new GameButton(this, 0, 0, 'A B C D E F G H I J');

    button.moveTo(130, 100)
  }

}

export default MainMenuScene;